Skip to main content
GET
/
v1
/
search
Search Entities and Organizations
curl --request GET \
  --url https://api.us.lexful.app/v1/search \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
import requests

url = "https://api.us.lexful.app/v1/search"

headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};

fetch('https://api.us.lexful.app/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "type": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "preview": "<string>",
      "score": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "organization_name": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Query Parameters

term
string
required

Search term (required)

Minimum string length: 1
limit
number
default:20

Number of results to return

Required range: 1 <= x <= 100
offset
number
default:0

Number of results to skip

Required range: x >= 0
entity_types
string

Comma-separated list of entity type names to filter by

asset_types
string

Comma-separated list of asset type names to filter by (alias for entity_types)

organization_ids
string

Comma-separated list of organization IDs to filter by

tags
string

Comma-separated list of tag IDs to filter by

sort_by
enum<string>
default:score

Sort results by score or updated_at

Available options:
score,
updated_at
sort_direction
enum<string>
default:desc

Sort direction

Available options:
asc,
desc
include_deleted
boolean

Include soft-deleted entities (does not apply to organizations)

Response

Default Response

items
object[]
required

Array of search results

total
number
required

Total number of results found

limit
number
required

Number of results returned

offset
number
required

Number of results skipped